Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.xsltc.runtime.output
Class StreamUnknownOutput

    java.lang.Object
      |
      +--org.apache.xalan.xsltc.runtime.output.OutputBase
            |
            +--org.apache.xalan.xsltc.runtime.output.StreamOutput
                  |
                  +--org.apache.xalan.xsltc.runtime.output.StreamUnknownOutput

public class StreamUnknownOutput
extends StreamOutput

Constructor Summary
`StreamUnknownOutput(java.io.OutputStream out, java.lang.String encoding)`
`StreamUnknownOutput(java.io.Writer writer, java.lang.String encoding)`

Method Summary
`void` | `attribute(java.lang.String name, java.lang.String value)`
`void` | `characters(char[] characters, int offset, int length)`
`void` | `characters(java.lang.String characters)`
`void` | `comment(java.lang.String comment)`
`void` | `endDocument()`
`void` | `endElement(java.lang.String elementName)`
`void` | `namespace(java.lang.String prefix, java.lang.String uri)`
`void` | `omitHeader(boolean value)`
`void` | `processingInstruction(java.lang.String target, java.lang.String data)`
`void` | `setCdataElements(Hashtable elements)`
`void` | `setDoctype(java.lang.String system, java.lang.String pub)`
`boolean` | `setEscaping(boolean escape)`
`void` | `setIndent(boolean indent)` This method cannot be cached because default is different in HTML and XML (we need more than a boolean).
`void` | `setIndentNumber(int value)`
`void` | `setMediaType(java.lang.String mediaType)`
`void` | `setStandalone(java.lang.String standalone)`
`void` | `setVersion(java.lang.String version)`
`void` | `startDocument()`
`void` | `startElement(java.lang.String elementName)`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.StreamOutput
`getCanonicalEncoding`

Methods inherited from class org.apache.xalan.xsltc.runtime.output.OutputBase
`close, endCDATA, setType, startCDATA`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreamUnknownOutput

    public StreamUnknownOutput(java.io.Writer writer,
                               java.lang.String encoding)

### StreamUnknownOutput

    public StreamUnknownOutput(java.io.OutputStream out,
                               java.lang.String encoding)
                        throws java.io.IOException

Method Detail

### startDocument

    public void startDocument()
                       throws TransletException

### endDocument

    public void endDocument()
                     throws TransletException

### startElement

    public void startElement(java.lang.String elementName)
                      throws TransletException

### endElement

    public void endElement(java.lang.String elementName)
                    throws TransletException

### characters

    public void characters(java.lang.String characters)
                    throws TransletException

### characters

    public void characters(char[] characters,
                           int offset,
                           int length)
                    throws TransletException

### attribute

    public void attribute(java.lang.String name,
                          java.lang.String value)
                   throws TransletException

### namespace

    public void namespace(java.lang.String prefix,
                          java.lang.String uri)
                   throws TransletException

  Overrides:
    namespace in class OutputBase

### comment

    public void comment(java.lang.String comment)
                 throws TransletException

### processingInstruction

    public void processingInstruction(java.lang.String target,
                                      java.lang.String data)
                               throws TransletException

### setDoctype

    public void setDoctype(java.lang.String system,
                           java.lang.String pub)

  Overrides:
    setDoctype in class StreamOutput

### setIndent

    public void setIndent(boolean indent)

  This method cannot be cached because default is different in HTML and XML (we need more than a boolean).
  Overrides:
    setIndent in class StreamOutput

### setVersion

    public void setVersion(java.lang.String version)

  Overrides:
    setVersion in class StreamOutput

### omitHeader

    public void omitHeader(boolean value)

  Overrides:
    omitHeader in class StreamOutput

### setStandalone

    public void setStandalone(java.lang.String standalone)

  Overrides:
    setStandalone in class StreamOutput

### setMediaType

    public void setMediaType(java.lang.String mediaType)

  Overrides:
    setMediaType in class OutputBase

### setEscaping

    public boolean setEscaping(boolean escape)
                        throws TransletException

  Overrides:
    setEscaping in class OutputBase

### setCdataElements

    public void setCdataElements(Hashtable elements)

  Overrides:
    setCdataElements in class OutputBase

### setIndentNumber

    public void setIndentNumber(int value)

  Overrides:
    setIndentNumber in class StreamOutput

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.